package ee.ttu.mull;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.RelativeLayout;

import java.util.Random;


public class MainActivity extends Activity {

	private RelativeLayout gameBoard;
	private int width;
	private int height;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		gameBoard = (RelativeLayout) findViewById(R.id.gameBoard);

		startGame();
	}

	@Override
	public void onWindowFocusChanged(boolean hasFocus) {
		super.onWindowFocusChanged(hasFocus);

		width = gameBoard.getWidth();
		height = gameBoard.getHeight();
	}

	private void addButton() {
		final SquareButton button = new SquareButton(this, null);

		button.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				gameBoard.removeView(button);
			}
		});

		int x = randomInt(width - button.getSize());
		int y = randomInt(height - button.getSize());

		button.setX(x);
		button.setY(y);

		gameBoard.addView(button);
	}

	private int randomInt(int max) {
		return new Random().nextInt(max + 1);
	}

	private void startGame() {
		Thread t = new Thread() {
			@Override
			public void run() {
				try {
					while (true) {
						Thread.sleep(2000);

						runOnUiThread(new Runnable() {
							@Override
							public void run() {
								addButton();
							}
						});
					}
				} catch (InterruptedException e) {}
			}
		};
		t.start();
	}
}
